LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XPropertyMatcher Interface Referencepublished

Checks whether a set of properties matches a set of search criteria. More...

`import"XPropertyMatcher.idl";`

Inheritance diagram for XPropertyMatcher:

## Public Member Functions
boolean | matches ([in] com::sun::star::ucb::XCommandProcessor Properties, [in] com::sun::star::ucb::XCommandEnvironment Environment)
| Checks whether a set of properties matches the given search criteria. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Checks whether a set of properties matches a set of search criteria.

See also
  XPropertyMatcherFactory.

## Member Function Documentation

## ◆ matches()

boolean matches | ( | [in] com::sun::star::ucb::XCommandProcessor | Properties,
|  | [in] com::sun::star::ucb::XCommandEnvironment | Environment
| ) |  |

Checks whether a set of properties matches the given search criteria.

Parameters

  Properties | A Command Processor through which the set of properties is accessible.
  Environment | The environment to use when accessing the property set via the given Command Processor. It may be null.

Returns
  `TRUE` if the properties match, `FALSE` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XPropertyMatcher.idl